class ApplicationController < ActionController::Base
  protect_from_forgery # See ActionController::RequestForgeryProtection for details

  private

  def admin?
    logged_in? && current_user.roles.include?("admins")
  end

  helper_method :current_user_has_already_voted?

  def current_user_has_already_voted?(voting)
    session[:votes].try(:include?, voting.id)
  end

  def current_user_voted_for(voting)
    session[:votes] ||= []
    session[:votes] << voting.id
  end
end
