class UserController < RailsConnector::DefaultUserController
  self.editable_attributes_on_register = {
    :contact => [:gender, :title, :first_name, :last_name, :email, :phone, :language],
    :account => [:name],
    :location => [:address0, :city, :postal_code]
  }
  self.editable_attributes_on_edit = {
    :contact => [:title, :first_name, :last_name, :email, :phone, :language],
    :account => [],
    :location => [:address0, :city, :postal_code]
  }

  before_filter :set_title

  private

  def set_title
    @page_title = {
      :login => 'Anmeldung',
      :profile => 'Profil',
      :edit => 'Profil',
      :edit_password => 'Passwort ändern',
      :new => 'Registrieren',
      :edit_subscriptions => 'Abonnements ändern',
      :request_password => 'Passwort vergessen',
      :request_password_confirmation => 'Neues Passwort'
    }[params[:action].to_sym] || "Anmeldung"
  end

  def before_register
   @user.want_email = 1
   @user.want_phonecall = 1
   @user.want_snailmail = 1
  end

end