class VotesController < ApplicationController
  before_filter :set_page_title

  def index
    redirect_to root_url and return unless admin?
    @votings = Voting.find(:all)
  end

  def vote
    voting = Obj.find(params[:obj_id])
    vote = nil
    unless current_user_has_already_voted?(voting)
      vote = voting.vote(params[:choice])
      current_user_voted_for(voting) if vote && vote.valid?
    end
    respond_to do |format|
      format.html do
        redirect_to :back
      end
      format.js do
        if current_user_has_already_voted?(voting)
          format = "html"
          render :partial => 'voting_area_content', :locals => {:voting => voting}
        else
          # more likely: no choice
          render :text => ""
          # less likely: save failed (should tell that)
        end
      end
    end
  end

  def reset
    if admin?
      @voting = Obj.find(params[:obj_id])
      @voting.reset_voting
      session[:votes] = []
    end

    redirect_to :back
  end

  def set_page_title
    @page_title = "Umfragen"
  end
end
