class WikiController < RailsConnector::DefaultCmsController

  def index
    @page = @obj.find_or_create_start_page
    set_page_title(@page)
  end

  def show
    if params[:name] == "StartPage"
      index
      render(:action => :index)
    else
      @page = @obj.find_or_build_page(params[:name])
      set_page_title(@page)
    end
  end

  def list
    @pages = @obj.find_pages
  end

  def edit
    @page = @obj.find_or_build_page(params[:name])
    if request.post? || request.put?
      @page.update_attributes(params[:page])
      redirect_to wiki_url(:action => :show, :id => @obj, :name => params[:name])
    end
    set_page_title(@page)
  end

  def delete
    name = params[:name]
    if request.delete?
      @obj.delete_page(name)
      redirect_to wiki_url(:action => :index, :id => @obj)
      return
    end
    redirect_to wiki_url(:action => :show, :id => @obj, :name => name)
  end

  private

  def set_page_title(page)
    @page_title = page.name unless page.start_page?
  end

end
