# This module contains helpers of the CmsController.
module CmsHelper
  include RailsConnector::DefaultCmsHelper

  def value_add_image(obj, attr_name)
    markup =
        if obj[attr_name] && obj[attr_name][0] && obj[attr_name][0].destination_object
          cms_image_tag(obj[attr_name][0].destination_object,
              :alt => obj.display_title, :style => 'width:180px; margin-bottom:10px;')
        end
    content_tag(:div, markup, :class => 'value_add')
  end

  def value_add_link_list(obj, attr_name, header)
    result = "".html_safe
    if obj[attr_name] && !obj[attr_name].empty?
      result << %Q(<div class='box'>
            <div class='box_header'>
              #{header}
            </div>
            <div class='box_content'>
              #{link_list obj[attr_name]}
            </div>
          </div>).html_safe
    end
    result
  end

  def is_playland_homepage?
    !@obj.nil? && (@obj == NamedLink.get_object("homepage_de"))
  end

  def path_to_named_link(namedlink)
    cms_path(NamedLink.get_object(namedlink))
  end
end
