require "spec_helper"

describe CmsController do
  describe "rendering errors" do
    before do
      @obj = mock_model(Obj,
        :mime_type => 'text/html',
        :hide_contents! => nil,
        :permitted_for_user? => false
      )
      request.for_cms_object(@obj)
      controller.stub(:ensure_object_is_active).and_return(true)
    end

    it "should render a default error view" do
      get "index"
      response.should render_template("errors/403_forbidden")
    end

    it "should set apropriate http response status" do
      get "index"
      response.status.should == 403
    end

    it "should set content type to 'text/html'" do
      get "index"
      response.content_type.should == Mime::HTML.to_s
    end

    it "should force html format" do
      request.should_receive(:format=).with(:html)
      get "index"
    end
  end
end
