require "spec_helper"

describe RssController, "(routing)" do
  it "should map { :controller => 'cms', :action => 'index', :id => '1' } to /1.mp4" do
    media_id_path(:id => "1", :format => 'mp4').should == "/1.mp4"
  end
end

describe RssController, 'request for podcast feed' do
  let(:obj) {
    mock_model(Obj)
  }

  before do
    controller.stub(:load_object)
    controller.stub(:ensure_object_is_active)
    controller.stub(:ensure_object_is_permitted)
    NamedLink.should_receive(:get_object).with('podcast_de').and_return(obj)
    get :podcast_feed
  end

  it 'should return success' do
    response.should be_success
  end

  it 'rss action should return valid obj' do
    assigns[:obj].should be_eql(obj)
  end

  it "should be XML" do
    response.headers['Content-Type'].should =~ /^application\/rss\+xml/
  end
end
