require "spec_helper"

require 'application_helper'

describe ApplicationHelper, "page_title" do
  let(:the_explicit_title) {"explicit page title"}
  let(:page) {mock_model(Obj)}

  before do
    helper.stub(:display_field)
  end

  describe "when page_title is assigned" do
    before do
      assign(:page_title, the_explicit_title)
    end

    it "should return the page_title" do
      helper.page_title.should == the_explicit_title
    end

  end

  describe "when obj is assigned" do
    before do
      assign(:obj, page)
    end

    describe "when page_title is assigned" do
      before do
        assign(:page_title, the_explicit_title)
      end

      it "should return the page_title" do
        helper.page_title.should == the_explicit_title
      end

      describe "to nil" do
        before do
          assign(:page_title, nil)
        end

        it "should return the (nil) page_title" do
          helper.page_title.should == nil
        end
      end
    end

    it "should return the obj's title as display_field" do
      helper.should_receive(:display_field).with(page, :title).and_return("The display_field result")
      helper.page_title.should == "The display_field result"
    end
  end
end
