require "spec_helper"

describe "have_stripped_text" do
  it "should ignore whitespaces around the matched text" do
    %|
    <div>
      whites around
    </div>
    |.should have_stripped_text("div", "whites around")
  end
end

describe 'have_tag(*, "string text match", :inner_text => true)' do
  it "should not be confused by inner elements" do
    %|
    <outer>
      <inner>text enclosed in element 'inner'</inner>
    </outer>
    |.should have_stripped_text("outer", "text enclosed in element 'inner'")
  end
end


describe 'have_tag(*, *, :inner_text => true)' do
  it "should not be confused by entities" do
    %|
    <entities>sind &uuml;berhaupt kein Problem</entities>
    |.should have_tag("entities", "sind überhaupt kein Problem", :inner_text => true)
  end
end
