module Matchers
  class BeHtmlSafe
    def matches?(actual)
      @subject = actual
      actual == nil || actual.html_safe? rescue false
    end

    def failure_message
      "expected '#{@subject}' to be html_safe"
    end

    def negative_failure_message
      "expected '#{@subject}' not to be html_safe"
    end
  end

  def be_html_safe
    BeHtmlSafe.new
  end
end
