require "spec_helper"

describe '/cms/newsletter' do
  let(:obj) {
    mock_model(Obj, {
      :title => 'example title',
      :body => 'example body',
    })
  }

  before do
    assign(:obj, obj)
  end

  before do
    obj.should_receive(:[]).with(:body).and_return('example body')
    obj.should_receive(:[]).with(:title).and_return('example title')
    stub_template '/cms/_toclist.html.erb' => "TOCLIST"
  end

  before do
    render
  end

  describe "(link to rss feed)" do
    it "should have correct url" do
      rendered.should have_tag('a[href="http://test.host/rss"] > img')
    end

    it "should have correct content type" do
      rendered.should have_tag('a[type="application/rss+xml"] > img')
    end

    it "should have title" do
      rendered.should have_tag('a[title="example title abonnieren"] > img')
    end
  end

  it "should render body" do
    rendered.should include('example body')
  end
end
