require "spec_helper"

describe "/rss/podcast_feed" do
  let(:first_child) {
    mock_model(Obj, {
      :display_title => 'child_1',
      :file_extension => 'mp4',
      :blob => 'blob_1',
      :body => '_111_',
      :valid_from => 2.minutes.ago,
    })
  }

  let(:second_child) {
    mock_model(Obj, {
      :display_title => 'child_2',
      :file_extension => 'mp4',
      :blob => 'blob_2',
      :body => '_222_', :valid_from => 5.minutes.ago,
    })
  }

  let(:obj) {
    mock_model(Obj, {
      :display_title => 'parent',
      :valid_from => 1.minutes.ago,
      :toclist_binary => [first_child, second_child],
    })
  }

  before do
    assign(:obj, obj)
  end

  it 'should have the title tags of the child objects' do
    render
    # workaround: should have_tag doesn't work for XML
    rendered.should include('<title>child_1</title>')
    rendered.should include('<title>child_2</title>')
  end
end
