require "spec_helper"

describe "/wiki/edit" do
  before do
    assign(:obj, mock_model(Wiki, :to_param => "123"))
    assign(:page, mock_model(WikiPage, :body => "BODY", :name => "AnotherPage"))
  end

  before do
    render
  end

  it "should have a form containing a text area with the body and a save link" do
    rendered.should have_tag("form[action='/wiki/123/edit/AnotherPage']") do |form|
      form.should have_tag("textarea", "BODY")
      form.should have_stripped_text("a[onclick*='submit()']", "Speichern")
    end
  end

  it "should have a cancel link" do
    rendered.should have_stripped_text("a[href='/wiki/123/show/AnotherPage']", "Abbrechen")
  end
end
