require "spec_helper"

describe "/wiki/list" do
  let(:pages) {
    (1..10).collect {|i| mock_model(WikiPage, :name => "Page#{i}") }
  }

  before do
    assign(:obj, mock_model(Wiki, :to_param => "123"))
    assign(:pages, pages)
  end

  before do
    render
  end

  it "should have a list of links to all pages with their names" do
    pages.each do |page|
      rendered.should have_tag("a[href='/wiki/123/show/#{page.name}']", page.name)
    end
  end

  it "should have a link to the start page" do
    rendered.should have_tag("a[href= '/wiki/123']")
  end
end
